Skip to content

Ranked fuzzy search

GET
/v1/search
curl --request GET \
--url 'https://shareout.site/v1/search?q=example&limit=10' \
--header 'Authorization: Bearer <token>'

Typo-tolerant search across pages, folders, datasets, connectors, people, schedules, crew, and alerts. Same engine as the Home Cmd+K palette. Personal tokens may pass workspace to scope; workspace Agent tokens (sot_) are pinned to their workspace and require artifacts:read.

q
required
string

Search text. Empty returns recents.

groups
string

Comma subset of artifacts,folders,datasets,connectors,people,schedules,crew,alerts.

limit
integer
default: 10 <= 25

Max results per group.

workspace
string

Workspace id to scope (personal tokens only).

Grouped search hits

Media type application/json
object
query
string
artifacts
Array<object>
object
kind
string
Allowed values: artifact folder dataset connector person schedule crew alert
id
string
title
string
subtitle
string
slug
string
artifactType
string
views
integer
owner
string
thumb
string
avatar
string
badge
string
score
number
folders
Array<object>
object
kind
string
Allowed values: artifact folder dataset connector person schedule crew alert
id
string
title
string
subtitle
string
slug
string
artifactType
string
views
integer
owner
string
thumb
string
avatar
string
badge
string
score
number
datasets
Array<object>
object
kind
string
Allowed values: artifact folder dataset connector person schedule crew alert
id
string
title
string
subtitle
string
slug
string
artifactType
string
views
integer
owner
string
thumb
string
avatar
string
badge
string
score
number
connectors
Array<object>
object
kind
string
Allowed values: artifact folder dataset connector person schedule crew alert
id
string
title
string
subtitle
string
slug
string
artifactType
string
views
integer
owner
string
thumb
string
avatar
string
badge
string
score
number
people
Array<object>
object
kind
string
Allowed values: artifact folder dataset connector person schedule crew alert
id
string
title
string
subtitle
string
slug
string
artifactType
string
views
integer
owner
string
thumb
string
avatar
string
badge
string
score
number
schedules
Array<object>
object
kind
string
Allowed values: artifact folder dataset connector person schedule crew alert
id
string
title
string
subtitle
string
slug
string
artifactType
string
views
integer
owner
string
thumb
string
avatar
string
badge
string
score
number
crew
Array<object>
object
kind
string
Allowed values: artifact folder dataset connector person schedule crew alert
id
string
title
string
subtitle
string
slug
string
artifactType
string
views
integer
owner
string
thumb
string
avatar
string
badge
string
score
number
alerts
Array<object>
object
kind
string
Allowed values: artifact folder dataset connector person schedule crew alert
id
string
title
string
subtitle
string
slug
string
artifactType
string
views
integer
owner
string
thumb
string
avatar
string
badge
string
score
number
Example
{
"artifacts": [
{
"kind": "artifact"
}
],
"folders": [
{
"kind": "artifact"
}
],
"datasets": [
{
"kind": "artifact"
}
],
"connectors": [
{
"kind": "artifact"
}
],
"people": [
{
"kind": "artifact"
}
],
"schedules": [
{
"kind": "artifact"
}
],
"crew": [
{
"kind": "artifact"
}
],
"alerts": [
{
"kind": "artifact"
}
]
}

Authentication required

Media type application/json
object
success
required
boolean
error
required

Human-readable message.

string
code
required

Machine-readable error code.

string
Example
{
"success": false
}

Access denied

Media type application/json
object
success
required
boolean
error
required

Human-readable message.

string
code
required

Machine-readable error code.

string
Example
{
"success": false
}